<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:padding="@dimen/margin_2x_size">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/frame_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_dialog_round"
        android:backgroundTint="@color/colorLightGray"
        android:padding="@dimen/margin_2x_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">


        <ImageView
            android:id="@+id/tv_reward_img"
            android:layout_width="200dp"
            android:layout_height="250dp"
            android:scaleType="fitCenter"
            android:src="@drawable/ic_coins"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/margin_2x_size"
            android:orientation="vertical"
            android:padding="@dimen/margin_2x_size"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_reward_img">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_reward_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_2x_size"
                android:layout_marginBottom="@dimen/margin_2x_size"
                android:text="yes seatel 018 T-shirt"
                android:textColor="@color/black"
                android:textSize="@dimen/large_text_size"
                android:textStyle="bold" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/margin_1x_size"
                android:orientation="horizontal">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="status: " />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_reward_status"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Redeemed"
                    android:textColor="@color/black"
                    android:textStyle="bold" />
            </LinearLayout>


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/margin_1x_size"
                android:orientation="horizontal">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Your reward code is: " />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_reward_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="123456"
                    android:textColor="@color/black"
                    android:textStyle="bold" />

            </LinearLayout>


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/margin_1x_size"
                android:orientation="horizontal">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Expire in: " />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_reward_expiry"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="hh:mm:ss"
                    android:textColor="@color/black"
                    android:textStyle="bold" />

            </LinearLayout>


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Date: " />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_reward_date"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="dd-mm-yy"
                    android:textColor="@color/black"
                    android:textStyle="bold" />

            </LinearLayout>


        </LinearLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.seatel.mobilehall.util.customview.CustomButton
        android:id="@+id/button_ok"
        android:layout_width="150dp"
        android:layout_height="35dp"
        android:layout_gravity="center"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:background="@drawable/bg_button_primary"
        android:gravity="center"
        android:text="@string/ok"
        android:textAllCaps="false"
        android:textColor="@android:color/white"
        android:textSize="@dimen/default_text_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/frame_content" />


</androidx.constraintlayout.widget.ConstraintLayout>